%define with_my_japo 1
#% define svnrevision 56
#% define rcversion 1
#% define betaversion b1

Name:           gmtk           
Version:        1.0.6
Release:        3%{?betaversion:.%betaversion}%{?svnrevision:.svn%svnrevision}%{?rcversion:.rc%rcversion}%{?_dist_release}
Summary:        Library of common functions and widgets for gnome-mplayer and gecko-mediaplayer

License:        GPLv2+
URL:            http://code.google.com/p/%{name}/ 
Source0:        http://code.google.com/p/%{name}/files/%{name}-%{version}%{?betaversion:%betaversion}%{?svnrevision:.svn%svnrevision}%{?rcversion:.rc%rcversion}.tar.%{?svnrevision:xz}%{!?svnrevision:gz}
Source10:       gmtk-snapshot.sh

## vine
%if %{with_my_japo}
Source100:      gmtk-1.0.6b1-ja.po
%endif

BuildRequires:  alsa-lib-devel
BuildRequires:  GConf2-devel
BuildRequires:  gettext
%if %{?_dist_release} == "vl7"
BuildRequires:  gtk3-devel
%elseif %{?_dist_release} == "vl6"
BuildRequires:  gtk2-devel
%endif
BuildRequires:  intltool
BuildRequires:  pulseaudio-libs-devel
#Requires:       mplayer

%description
Library of common functions and widgets for gnome-mplayer and gecko-mediaplayer

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
#% setup -q %{?rcversion:-n %{name}-%{version}.rc%{rcversion}}
%setup -q %{?betaversion:-n %{name}-%{version}%betaversion}

## vine
%if %{with_my_japo}
%__install -m644 %{SOURCE100} po/ja.po
%endif

##
autoreconf --install --force --verbose

%build
%configure --disable-static
%__make %{?_smp_mflags}


%install
%__rm -rf $RPM_BUILD_ROOT
%__make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec %__rm -f {} ';'
%find_lang %{name}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%{_docdir}/%{name}
%{_libdir}/*.so.*

%files devel
%doc
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Mon Apr 16 2012 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.6-3
- new upstream release

* Thu Apr  5 2012 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.6-2.b1
- updated ja.po

* Sat Mar 24 2012 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.6-1.b1
- new upstream release

* Fri Dec 30 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.5-1
- new upstream release

* Sat Oct 15 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.5-1.b1.svn56
- initial build
- updated ja.po
